--- erlang-9.1.orig/lib/cosNotification/src/Makefile	2002-10-02 22:01:31.000000000 +0000
+++ erlang-9.1/lib/cosNotification/src/Makefile	2003-07-13 19:52:16.000000000 +0000
@@ -361,10 +361,20 @@
 
 release_spec: opt
 	$(INSTALL_DIR) $(RELSYSDIR)/ebin
-	$(INSTALL_DATA) $(TARGET_FILES) $(APP_TARGET) $(APPUP_TARGET) $(RELSYSDIR)/ebin
+	$(INSTALL_DATA) $(TARGET_FILES) $(RELSYSDIR)/ebin
+	$(INSTALL_DATA) $(APP_TARGET) $(RELSYSDIR)/ebin
+	$(INSTALL_DATA) $(APPUP_TARGET) $(RELSYSDIR)/ebin
 	$(INSTALL_DIR) $(RELSYSDIR)/src
-	$(INSTALL_DATA) $(GEN_FILES) $(IDL_FILES) $(YECC_FILES) $(GEN_YECC_ERL_FILES) $(GEN_YECC_HRL_FILES) $(RELSYSDIR)/src
-	$(INSTALL_DATA) $(ERL_FILES) $(HRL_FILES) $(GEN_ERL_FILES) $(IDL_FILES) $(YECC_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(GEN_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(IDL_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(YECC_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(GEN_YECC_ERL_FILES) $(RELSYSDIR)/src
+#	$(INSTALL_DATA) $(GEN_YECC_HRL_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(ERL_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(HRL_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(GEN_ERL_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(IDL_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(YECC_FILES) $(RELSYSDIR)/src
 	$(INSTALL_DIR) $(RELSYSDIR)/include
 	$(INSTALL_DATA) $(GEN_HRL_FILES) $(RELSYSDIR)/include
 
--- erlang-9.1.orig/lib/crypto/c_src/crypto_drv.c	2003-02-14 10:30:34.000000000 +0000
+++ erlang-9.1/lib/crypto/c_src/crypto_drv.c	2003-07-13 18:47:25.000000000 +0000
@@ -367,8 +367,8 @@
 	    return -1;
 	key = buf; ivec = buf + 8; dbuf = buf + 16;
 	*rbuf = (char *)(b = driver_alloc_binary(dlen));
-	(*cfs.des_set_key)(key, (void *)schedule);
-	(*cfs.des_ncbc_encrypt)(dbuf, b->orig_bytes, dlen, schedule, ivec, 
+	(*cfs.des_set_key)(key, (void *)&schedule);
+	(*cfs.des_ncbc_encrypt)(dbuf, b->orig_bytes, dlen, &schedule, ivec, 
 				(command == DRV_CBC_DES_ENCRYPT));
 	return dlen;
 	break;
@@ -381,11 +381,11 @@
 	key = buf; key2 = buf + 8; key3 = buf + 16;
 	ivec = buf + 24; dbuf = buf + 32;
 	*rbuf = (char *)(b = driver_alloc_binary(dlen));
-	(*cfs.des_set_key)(key, (void *)schedule);
-	(*cfs.des_set_key)(key2, (void *)schedule2);
-	(*cfs.des_set_key)(key3, (void *)schedule3);
-	(*cfs.des_ede3_cbc_encrypt)(dbuf, b->orig_bytes, dlen, schedule,
-				schedule2, schedule3, ivec, 
+	(*cfs.des_set_key)(key, (void *)&schedule);
+	(*cfs.des_set_key)(key2, (void *)&schedule2);
+	(*cfs.des_set_key)(key3, (void *)&schedule3);
+	(*cfs.des_ede3_cbc_encrypt)(dbuf, b->orig_bytes, dlen, &schedule,
+				&schedule2, &schedule3, ivec, 
 				(command == DRV_EDE3_CBC_DES_ENCRYPT));
 	return dlen;
 	break;
--- erlang-9.1.orig/lib/gs/src/Makefile	2001-10-12 14:18:38.000000000 +0000
+++ erlang-9.1/lib/gs/src/Makefile	2003-07-13 19:24:21.000000000 +0000
@@ -111,10 +111,14 @@
 
 release_spec: opt
 	$(INSTALL_DIR) $(RELSYSDIR)/src
-	$(INSTALL_DATA) $(APP_SRC) $(ERL_FILES) $(HRL_FILES) $(GEN_HRL_FILES) \
-		$(GSTK_GENERIC) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(APP_SRC) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(ERL_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(HRL_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(GEN_HRL_FILES) $(RELSYSDIR)/src
+	$(INSTALL_DATA) $(GSTK_GENERIC) $(RELSYSDIR)/src
 	$(INSTALL_DIR) $(RELSYSDIR)/ebin
-	$(INSTALL_DATA) $(TARGET_FILES) $(KEEP_AS_IS) $(RELSYSDIR)/ebin
+	$(INSTALL_DATA) $(TARGET_FILES) $(RELSYSDIR)/ebin
+	$(INSTALL_DATA) $(KEEP_AS_IS) $(RELSYSDIR)/ebin
 
 
 release_docs_spec:
--- erlang-9.1.orig/lib/megaco/src/text/Makefile	2002-11-28 13:50:00.000000000 +0000
+++ erlang-9.1/lib/megaco/src/text/Makefile	2003-07-13 19:55:44.000000000 +0000
@@ -111,10 +111,14 @@
 
 release_spec: opt
 	$(INSTALL_DIR)  $(RELSYSDIR)/ebin
-	$(INSTALL_DATA) $(BEAM_TARGET_FILES) $(RELSYSDIR)/ebin
+	set -e; for f in $(BEAM_TARGET_FILES); do \
+		$(INSTALL_DATA) $$f $(RELSYSDIR)/ebin; \
+	done
 	$(INSTALL_DIR)  $(RELSYSDIR)/src
 	$(INSTALL_DIR)  $(RELSYSDIR)/src/text
-	$(INSTALL_DATA) $(ERL_FILES) $(INTERNAL_YRL_FILES) $(INTERNAL_HRL_FILES) $(RELSYSDIR)/src/text
+	$(INSTALL_DATA) $(ERL_FILES) $(RELSYSDIR)/src/text
+	$(INSTALL_DATA) $(INTERNAL_YRL_FILES) $(RELSYSDIR)/src/text
+	$(INSTALL_DATA) $(INTERNAL_HRL_FILES) $(RELSYSDIR)/src/text
 
 
 release_docs_spec:
--- erlang-9.1.orig/lib/orber/c_src/InitialReference.hh	1999-10-21 13:35:14.000000000 +0000
+++ erlang-9.1/lib/orber/c_src/InitialReference.hh	2003-07-13 19:03:37.000000000 +0000
@@ -25,7 +25,8 @@
 #define _INITIALREFERENCE_HH
 #include <stdio.h>
 #include <string.h>
-#include <strstream.h>
+#include <strstream>
+using namespace std;
 
 class InitialReference {
 private:
--- erlang-9.1.orig/lib/orber/priv/Makefile	2002-10-02 22:17:29.000000000 +0000
+++ erlang-9.1/lib/orber/priv/Makefile	2003-07-13 19:25:12.000000000 +0000
@@ -58,7 +58,8 @@
 
 release_spec: opt
 	$(INSTALL_DIR) $(RELSYSDIR)/priv
-	$(INSTALL_DATA) $(HELP_FILES) $(HTML_FILES) $(RELSYSDIR)/priv
+	$(INSTALL_DATA) $(HELP_FILES) $(RELSYSDIR)/priv
+	$(INSTALL_DATA) $(HTML_FILES) $(RELSYSDIR)/priv
 
 release_docs_spec:
 
--- erlang-9.1.orig/lib/snmp/mibs/Makefile	2002-10-02 21:48:43.000000000 +0000
+++ erlang-9.1/lib/snmp/mibs/Makefile	2003-07-13 19:22:38.000000000 +0000
@@ -112,8 +112,11 @@
 release_spec: opt
 	$(INSTALL_DIR) $(RELSYSDIR)/mibs
 	$(INSTALL_DIR) $(RELSYSDIR)/mibs/v1
-	$(INSTALL_DATA) $(STD_v2_MIB_FILES) $(MIB_FILES) $(FUNCS_FILES) $(RELSYSDIR)/mibs
-	$(INSTALL_DATA) $(STD_v1_MIB_FILES) $(V1_MIB_FILES) $(RELSYSDIR)/mibs/v1
+	$(INSTALL_DATA) $(STD_v2_MIB_FILES) $(RELSYSDIR)/mibs
+	$(INSTALL_DATA) $(MIB_FILES) $(RELSYSDIR)/mibs
+	$(INSTALL_DATA) $(FUNCS_FILES) $(RELSYSDIR)/mibs
+	$(INSTALL_DATA) $(STD_v1_MIB_FILES) $(RELSYSDIR)/mibs/v1
+	$(INSTALL_DATA) $(V1_MIB_FILES) $(RELSYSDIR)/mibs/v1
 	$(INSTALL_DIR) $(RELSYSDIR)/include
 	$(INSTALL_DATA) $(HRL_TARGETS) $(RELSYSDIR)/include
 	$(INSTALL_DIR) $(RELSYSDIR)/priv/mibs
--- erlang-9.1.orig/erts/etc/unix/run_erl.c	2003-02-28 14:57:23.000000000 +0000
+++ erlang-9.1/erts/etc/unix/run_erl.c	2003-07-13 18:26:15.000000000 +0000
@@ -132,9 +132,9 @@
 #define ERROR(Parameters)			\
 do {						\
     if (run_daemon) {			        \
-	syslog##Parameters;			\
+	syslog Parameters;			\
     } else {					\
-	stderr_error##Parameters;		\
+	stderr_error Parameters;		\
     }						\
 } while (0)
 #endif
